<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- This template must be included using a s:decorate element in a <ui:define name="body"> element -->
    <!-- You can insert specific buttons and specific message using <ui:define with correct name attribute -->
    <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

        <ui:param name="panel_id" value="validatorPanelUpload"/>
        <ui:define name="panel_title">
            <h:outputText value="#{messages['net.ihe.gazelle.evs.ContentSelection']}"/>

        </ui:define>
        <ui:insert name="specificMessage"/>
        <ui:define name="panel_footer">
            <a4j:commandButton value="#{messages['net.ihe.gazelle.evs.Reset']}"
                               actionListener="#{managedBean.reset(analysisBeanGui)}" styleClass="gzl-btn"
                               render="globalForm" title="#{messages['net.ihe.gazelle.evs.ClearUploadedFile']}" />
            <ui:insert name="specificButtons"/>
        </ui:define>

        <s:div id="divForMessageContent">
            <div class="form-horizontal">
                <h:inputTextarea id="messagearea" styleClass="form-control"
                                 value="#{managedBean.documentText}"
                                 rows="10"
                                 maxlength="2048"
                                 rendered="#{pasteContentAccepted and managedBean.document == null}">
                    <a4j:ajax event="blur" render="globalForm"/>
                    #{messages['net.ihe.gazelle.evsclient.TypeOrPasteHere']}
                </h:inputTextarea>
            </div>
            <s:decorate template="/common/fileUploader.xhtml">
                <ui:param name="managedBean" value="#{managedBean}"/>
            </s:decorate>
        </s:div>
        <ui:insert name="validatorSelection"/>

    </ui:decorate>

</ui:composition>
